/**
 * Currency.java
 *
 * File generated from the medication::Currency uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration Currency.
 *
 * 
 */

@XmlType(name = "Currency")
@XmlEnum
@XmlRootElement(name = "Currency")
public enum Currency {
	@XmlEnumValue("ARS")
	ARS("ARS"),
	@XmlEnumValue("AUD")
	AUD("AUD"),
	@XmlEnumValue("BRL")
	BRL("BRL"),
	@XmlEnumValue("CAD")
	CAD("CAD"),
	@XmlEnumValue("CHF")
	CHF("CHF"),
	@XmlEnumValue("CLF")
	CLF("CLF"),
	@XmlEnumValue("CNY")
	CNY("CNY"),
	@XmlEnumValue("DEM")
	DEM("DEM"),
	@XmlEnumValue("ESP")
	ESP("ESP"),
	@XmlEnumValue("EUR")
	EUR("EUR"),
	@XmlEnumValue("FIM")
	FIM("FIM"),
	@XmlEnumValue("FRF")
	FRF("FRF"),
	@XmlEnumValue("GBP")
	GBP("GBP"),
	@XmlEnumValue("ILS")
	ILS("ILS"),
	@XmlEnumValue("INR")
	INR("INR"),
	@XmlEnumValue("JPY")
	JPY("JPY"),
	@XmlEnumValue("KRW")
	KRW("KRW"),
	@XmlEnumValue("MXN")
	MXN("MXN"),
	@XmlEnumValue("NLG")
	NLG("NLG"),
	@XmlEnumValue("NZD")
	NZD("NZD"),
	@XmlEnumValue("PHP")
	PHP("PHP"),
	@XmlEnumValue("RUR")
	RUR("RUR"),
	@XmlEnumValue("THB")
	THB("THB"),
	@XmlEnumValue("TRL")
	TRL("TRL"),
	@XmlEnumValue("TWD")
	TWD("TWD"),
	@XmlEnumValue("USD")
	USD("USD"),
	@XmlEnumValue("ZAR")
	ZAR("ZAR");
	
	private final String value;

    Currency(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static Currency fromValue(String v) {
        for (Currency c: Currency.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}